package org.steveshipway.cheshirecat;

import java.util.EnumMap;

import org.steveshipway.cheshirecat.cmd.*;

import net.minecraftforge.common.config.Configuration;
import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.event.FMLServerStartingEvent;
import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.common.gameevent.PlayerEvent.PlayerLoggedInEvent;
import cpw.mods.fml.common.network.FMLEmbeddedChannel;
import cpw.mods.fml.common.network.FMLOutboundHandler;
import cpw.mods.fml.common.network.NetworkRegistry;
import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.relauncher.Side;

public class CommonProxy
{
    public void preInit(FMLPreInitializationEvent e) {
    	
    	// define custom blocks
    	CCBlocks.init();
    	// define custom items
    	CCItems.init();

    }

    public void init(FMLInitializationEvent e) {
    	// set up recipies
    	CCRecipies.init();

    	GameRegistry.registerWorldGenerator(CheshireCat.autoGen, 100); // heavy weight; we want to run late
    }

    public void postInit(FMLPostInitializationEvent e) {

    }
    
    public void serverLoad(FMLServerStartingEvent event)
    {
      event.registerServerCommand(new BuildCommand());
      event.registerServerCommand(new BlueprintsCommand());
      event.registerServerCommand(new WandCommand());
    }
    
    public void registerRenderers() {
        // Nothing here as the server doesn't render graphics or entities!
    }
}
